#import "PhysObject.h"

@implementation PhysObject 

-(id) init {
    self = [super init];
    
    if (self) {
        mass = 0.00001f;
    }

    return self;
}

-(Vector3) velocity {
    return velocity;
}

-(void) setVelocity: (Vector3) v {
    velocity = v;
}

-(float) mass {
    return mass;
}

-(void) setMass: (float) m {
    mass = m;
}

-(Vector3) force {
    return force;
}

-(void) setForce: (Vector3) f {
    force = f;
}

-(bool) onSurface {
    return onSurface;
}

-(void) setOnSurface: (bool) s {
    onSurface = s;
}

-(bool) isStatic {
    return isStatic;
}

-(void) setStatic: (bool) s {
    isStatic = s;
}

@end